Congratulations on the release - as a Groovy developer it's always great to see Groovy getting better...

As my son's Minecraft Groovy consultant, I saw that 2.4.12 does not contain a fix for the (unfortunately required) "obfuscation not working when trying to mod Minecraft using Groovy" problem I described under "Minecraft modding with Groovy: @CompileStatic not statically compiling fields ?", so I was wondering whether you could give me any indication on a timeframe for a fix ?

(It would be great if Groovy could achieve its goal on being as Java compatible as possible here, so that Groovy Minecraft modding actually becomes just "add @CompileStatic to your class", as to get kids involved early with Groovy)




Am 24.06.2017 14:44 schrieb "Paul King" <paulk@apache.org>:
Dear community,

The Apache Groovy team is pleased to announce version 2.4.12 of Apache Groovy.
Apache Groovy is a multi-faceted programming language for the JVM.
Further details can be found at the http://groovy.apache.org website.

This release is a maintenance release of the GROOVY_2_4_X branch.
It is strongly encouraged that all users using prior
versions on this branch upgrade to this version.

This release includes 16 bug fixes/improvements as outlined in the changelog:
https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12318123&version=12340472

Sources can be downloaded from: http://www.groovy-lang.org/download.html
Convenience binaries, SDK and documentation can be found at:
http://www.groovy-lang.org/download.html
Jars are also available within the major binary repositories.
We would like to thank all people who contributed to this release.

We welcome your help and feedback. For more information on how to
report problems, and to get involved, visit the project website at
https://groovy.apache.org/

Best regards,

The Apache Groovy team.